; Audio Panel Handshaking - FCCA
;
; Modified Original For Training - 23 June 94
; Modified to test FCCA/ACP IRC3 entry option - 23 March 95
; Modified to reinclude zone messages- Rick Wolf - 21 August 96

!ifdef fcca-41                  ; only compile this for FCCA 41

sup-zone 41 01                  ; Fire acknowledge
    sup-open-reset  00 41 01    ; reset audio activate, Fire

sup-zone 41 03                  ; Start Relay

sup-zone 41 06                  ; Phone call-in acknowledge
;
;
;   Remove this line to support Call In buzzer on FCCA F/W 0.1 ++
;
;
;    sup-open-reset  00 41 06    ; reset phone call-in

sup-zone 41 10                  ; Pre-Amp #1 Trouble
    sup-message 01 ~FCCA Pre-Amp #1 Trouble~

sup-zone 41 11                  ; Pre-Amp #2 Trouble
    sup-message 01 ~FCCA Pre-Amp #2 Trouble~

sup-zone 41 12                  ; Mic Trouble
    sup-message 01 ~FCCA Microphone Trouble~

sup-zone 41 13                  ; Aux Supv #1 Trouble
    sup-message 01 ~FCCA Telephone Riser Trouble~

sup-zone 41 14                  ; Aux Supv #1 Trouble
    sup-message 01 ~FCCA Aux Supv #1 Trouble~

sup-zone 41 15                  ; Aux Supv #2 Trouble
    sup-message 01 ~FCCA Aux Supv #2 Trouble~

sup-zone 41 18                  ; Tone 1 select Ack.
    sup-open-reset  00 41 18    ; reset relay

sup-zone 41 19                  ; Aux 1 select Ack.
    sup-open-reset  00 41 19    ; reset relay

sup-zone 41 20                  ; Tone 2 select Ack.
    sup-open-reset  00 41 20    ; reset relay

sup-zone 41 21                  ; Aux 2 select Ack.
    sup-open-reset  00 41 21    ; reset relay

sup-zone 41 22                  ; External Input
    sup-open-set  00 41 01      ; Activate FCCA
    sup-message 01 ~FCCA Activated by EXTERNAL IN~

sup-zone 41 23                  ; External Input
    sup-message 01 ~FCCA Channel 1 Phone/MIC Activated~

sup-zone 41 24                  ; External Input
    sup-message 01 ~FCCA Channel 2 Phone/MIC Activated~


!endif                          ; end of FCCA 41 definition


!ifdef fcca-42                  ; only compile this for FCCA 42


sup-zone 42 01                  ; Fire acknowledge
    sup-open-reset  00 42 01    ; reset audio activate, Fire

sup-zone 42 03                  ; Start Relay

sup-zone 42 06                  ; Phone call-in acknowledge
;
;
;   Remove this line to support Call In buzzer on FCCA F/W 0.1 ++
;
;
;    sup-open-reset  00 42 06    ; reset phone call-in

sup-zone 42 10                  ; Pre-Amp #1 Trouble
    sup-message 01 ~FCCA Pre-Amp #1 Trouble~

sup-zone 42 11                  ; Pre-Amp #2 Trouble
    sup-message 01 ~FCCA Pre-Amp #2 Trouble~

sup-zone 42 12                  ; Mic Trouble
    sup-message 01 ~FCCA Microphone Trouble~

sup-zone 42 13                  ; Aux Supv #1 Trouble
    sup-message 01 ~FCCA Telephone Riser Trouble~

sup-zone 42 14                  ; Aux Supv #1 Trouble
    sup-message 01 ~FCCA Aux Supv #1 Trouble~

sup-zone 42 15                  ; Aux Supv #2 Trouble
    sup-message 01 ~FCCA Aux Supv #2 Trouble~

sup-zone 42 18                  ; Tone 1 select Ack.
    sup-open-reset  00 42 18    ; reset relay

sup-zone 42 19                  ; Aux 1 select Ack.
    sup-open-reset  00 42 19    ; reset relay

sup-zone 42 20                  ; Tone 2 select Ack.
    sup-open-reset  00 42 20    ; reset relay

sup-zone 42 21                  ; Aux 2 select Ack.
    sup-open-reset  00 42 21    ; reset relay

sup-zone 42 22                  ; External Input
    sup-open-set  00 42 01      ; Activate FCCA
    sup-message 01 ~FCCA Activated by EXTERNAL IN~

sup-zone 42 23                  ; External Input
    sup-message 01 ~FCCA Channel 3 Phone/MIC Activated~

sup-zone 42 24                  ; External Input
    sup-message 01 ~FCCA Channel 4 Phone/MIC Activated~


!endif                          ; end of FCCA 42 definition


!ifdef fcca-43                  ; only compile this for FCCA 43

sup-zone 43 01                  ; Fire acknowledge
    sup-open-set  00 43 01      ; reset audio activate, Fire

sup-zone 43 03                  ; Start Relay

sup-zone 43 06                  ; Phone call-in acknowledge
;
;
;   Remove this line to support Call In buzzer on FCCA F/W 0.1 ++
;
;
;    sup-open-reset  00 43 06    ; reset phone call-in

sup-zone 43 10                  ; Pre-Amp #1 Trouble
    sup-message 01 ~FCCA Pre-Amp #1 Trouble~

sup-zone 43 11                  ; Pre-Amp #2 Trouble
    sup-message 01 ~FCCA Pre-Amp #2 Trouble~

sup-zone 43 12                  ; Mic Trouble
    sup-message 01 ~FCCA Microphone Trouble~

sup-zone 43 13                  ; Aux Supv #1 Trouble
    sup-message 01 ~FCCA Telephone Riser Trouble~

sup-zone 43 14                  ; Aux Supv #1 Trouble
    sup-message 01 ~FCCA Aux Supv #1 Trouble~

sup-zone 43 15                  ; Aux Supv #2 Trouble
    sup-message 01 ~FCCA Aux Supv #2 Trouble~

sup-zone 43 18                  ; Tone 1 select Ack.
    sup-open-reset  00 43 18    ; reset relay

sup-zone 43 19                  ; Aux 1 select Ack.
    sup-open-reset  00 43 19    ; reset relay

sup-zone 43 20                  ; Tone 2 select Ack.
    sup-open-reset  00 43 20    ; reset relay

sup-zone 43 21                  ; Aux 2 select Ack.
    sup-open-reset  00 43 21    ; reset relay

sup-zone 43 22                  ; External Input
    sup-open-reset  00 43 01    ; Activate FCCA
    sup-message 01 ~FCCA Activated by EXTERNAL IN~

sup-zone 43 23                  ; External Input
    sup-message 01 ~FCCA Channel 5 Phone/MIC Activated~

sup-zone 43 24                  ; External Input
    sup-message 01 ~FCCA Channel 6 Phone/MIC Activated~


!endif                          ; end of FCCA 43 definition


